/* Perform Net remote admin cmd  */

    Parse Arg ServerName RunCommand

    If ServerName = '' | RunCommand = ''
      Then Do
              Say '*'
              Say '* Usage: NADMIN {ServerName} {RunCommand}'
              Say '*'
              Say '* Sample: NADMIN \\BEDDC2 net start'
              Say '*'
              Exit
           End
      Else Nop

    ServerName = Strip(ServerName,'L','\')

    Say '* Server Name:' '\\'ServerName

    Drop ReturnValue.
    ReturnValue.Available = ''
    ReturnValue.ExitCode = ''
    ReturnValue.Returned = ''
    ReturnValue.Output = ''

    RC = NetMisc(710, RunCommand, '\\'ServerName, 'ReturnValue')
    If RC = 0
      Then Do
             Say '. Remote Exit code was            :' ReturnValue.ExitCode
             Say '. Returned Bytes are              :' ReturnValue.Returned
             Say '. Number Bytes at Remote Location :' ReturnValue.Available
             Say Copies('-',60)
             Say ReturnValue.Output
             Say Copies('-',60)
           End
      Else Say '!' RC

    Exit

